## cinnamon-settings-daemon 6.4.3

=== meson_options.txt ===
option(
    'dbus_service_dir',
    type: 'string',
    value: '',
    description: 'Used to specify the dbus service dir'
)
option(
    'dbus_system_dir',
    type: 'string',
    value: '',
    description: 'Used to specify the dbus system dir'
)
option(
    'use_polkit',
    type: 'feature',
    value: 'auto',
    description: 'Whether to use polkit in the build'
)
option(
    'use_logind',
    type: 'feature',
    value: 'auto',
    description: 'Whether to use logind in the build'
)
option(
    'use_gudev',
    type: 'feature',
    value: 'enabled',
    description: 'Whether GUdev support should be enabled (not optional on Linux platforms)'
)
option(
    'use_cups',
    type: 'feature',
    value: 'enabled',
    description: 'Whether cups (and therefore the print notifications plugin) support should be enabled'
)
option(
    'use_smartcard',
    type: 'feature',
    value: 'enabled',
    description: 'Set to false to disable smartcard support'
)
option(
    'use_color',
    type: 'feature',
    value: 'enabled',
    description: 'Whether the color plugin should be enabled'
)
option(
    'use_wacom',
    type: 'feature',
    value: 'auto',
    description: 'Whether the wacom plugin should be enabled'
)
option(
    'enable_debug',
    type: 'boolean',
    value: false,
    description: 'Show additional build warnings'
)

=== debian/changelog ===
cinnamon-settings-daemon (6.4.3-1) unstable; urgency=medium

  * New upstream version 6.4.3
  * Update standards version to 4.7.2, no changes needed
  * d/copyright: remove old fsf address

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 13 Apr 2025 13:58:15 +0200

=== debian/control ===
Source: cinnamon-settings-daemon
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 debhelper-compat (= 13),
 docbook-xsl,
 intltool,
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 6.4~),
 libcolord-dev,
 libcups2-dev,
 libfontconfig-dev,
 libglib2.0-dev,
 libgnomekbd-dev,
 libgtk-3-dev,
 libgudev-1.0-dev [linux-any],
 liblcms2-dev,
 libnotify-dev,
 libnss3-dev,
 libpango1.0-dev,
 libpolkit-gobject-1-dev [linux-any],
 libpulse-dev,
 librsvg2-dev [!s390x !hurd-any !kfreebsd-any],
 libsystemd-dev [linux-any],
 libupower-glib-dev,
 libwacom-dev [!s390x !hurd-any !kfreebsd-any],
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxklavier-dev,
 meson,
 xsltproc,
Build-Conflicts: libwacom-dev [s390x hurd-any kfreebsd-any]
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/linuxmint/cinnamon-settings-daemon
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon.git

Package: cinnamon-settings-daemon
Architecture: any
Depends:
 cinnamon-desktop-data (>= 6.4~),
 colord,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: cinnamon-l10n (>= 6.4~), pipewire-pulse | pulseaudio
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 cinnamon (<< 6.4~),
 cinnamon-control-center (<< 6.0~),
 cinnamon-core (<< 5.4~),
Description: daemon handling the Cinnamon session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a Cinnamon session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Startup of other daemons: screensaver
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: cinnamon-settings-daemon-dev
Architecture: any
Depends: libglib2.0-dev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: headers for building applications communicating with cinnamon-settings-daemon
 This package contains header files required to build applications that
 communicate with the Cinnamon settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = -Duse_gudev=disabled -Duse_polkit=disabled -Duse_logind=disabled -Duse_wacom=disabled
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon \
	    $(CONFFLAGS)

override_dh_link:
	dh_link
ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq (${DEB_HOST_ARCH},s390x)
	dh_link -p cinnamon-settings-daemon usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon/csd-wacom usr/bin/csd-wacom
endif
endif

override_dh_makeshlibs:
	# Disabled, there are no shared libraries, but some plugins that cause this
	# to fail

override_dh_auto_test:
	# Disable old test suite on build time

## cinnamon-settings-daemon 6.4.3+faye

=== debian/changelog ===
cinnamon-settings-daemon (6.4.3+faye) xia; urgency=medium

  * packaging: Remove recommends/suggests

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Dec 2024 12:43:42 +0000

cinnamon-settings-daemon (6.4.2) xia; urgency=medium

  [ Michael Webster ]
  * debian/control: Add colord dependency.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2024 16:26:25 +0000

## cinnamon-settings-daemon 6.4.3+gigi

=== debian/changelog ===
cinnamon-settings-daemon (6.4.3+gigi) xia; urgency=medium

  * packaging: Remove recommends/suggests

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Dec 2024 12:43:42 +0000

=== debian/control ===
Source: cinnamon-settings-daemon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 docbook-xsl,
 intltool (>= 0.37.1),
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 4.8.0),
 libcolord-dev (>= 0.1.27),
 libcups2-dev,
 libcvc-dev (>= 3.4~),
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev (>= 3.6.0),
 libgtk-3-dev (>= 3.9.10),
 libgudev-1.0-dev [linux-any],
 liblcms2-dev,
 libnotify-dev (>= 0.7.0),
 libnss3-dev,
 libpango1.0-dev (>= 1.20),
 libpolkit-gobject-1-dev [linux-any],
 libpulse-dev (>= 0.9.16),
 librsvg2-dev [!s390x !hurd-any !kfreebsd-any],
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.11),
 libwacom-dev (>= 0.4) [!s390x !hurd-any !kfreebsd-any],
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxklavier-dev,
 meson (>= 0.47),
 xsltproc,
Build-Conflicts:
 libwacom-dev [s390x hurd-any kfreebsd-any],
Standards-Version: 4.1.4

Package: cinnamon-settings-daemon
Architecture: any
Depends: cinnamon-desktop-data (>= 2.6.3), colord, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: daemon handling the Cinnamon session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a Cinnamon session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Startup of other daemons: screensaver
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: cinnamon-settings-daemon-dev
Architecture: any
Depends:
 libglib2.0-dev (>= 2.26.0),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Headers for building applications communicating with cinnamon-settings-daemon
 This package contains header files required to build applications that
 communicate with the Cinnamon settings daemon over D-Bus.

## cinnamon-settings-daemon 6.4.3+xia

=== debian/changelog ===
cinnamon-settings-daemon (6.4.3+xia) xia; urgency=medium

  * packaging: Remove recommends/suggests

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Dec 2024 12:43:42 +0000

## cinnamon-settings-daemon 6.6.0+zena

=== debian/changelog ===
cinnamon-settings-daemon (6.6.0+zena) zena; urgency=medium

  [ Pavel Timofeev ]
  * Cosmetic change: rename g-s-d to c-s-d (#409)

  [ JosephMcc ]
  * media-keys: Add labels for show_osd() (#403)

  [ Matt Turnbull ]
  * Add options to call generate-tz-header as part of the build process. (#405)

  [ Michael Webster ]
  * Update tz-coords.h.

  [ Michael Schuster ]
  * nightlight: Implement schedule mode 'always' (#408)

  [ Michael Webster ]
  * power: Cleanup upower version checks.
  * Adjust upower minimum version.
  * generate-tz-header.py: Fix position coordinate parsing.
  * Adapt to keyboard layout modernization, remove libgnomekbd dep.
  * Fix deps
  * Move some x11-only from the keyboard to xsettings module.
  * build: Remove -dev package, don't install csd-enums, don't generate a pkgconfig file, make libcsd static.
  * csd-autorun.c: Remove hidden 'hold shift key' feature.

  [ Clement Lefebvre ]
  * Switch to XApp symbolic icons

  [ Eli Schwartz ]
  * drop xfixes build dependency
  * clean up dependency checks for wacom bits

  [ Michael Webster ]
  * debian/control: Adapt to removal of -dev package, update .gitignore.

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

  [ Eli Schwartz ]
  * meson: remove extraneous libpulse dep (#425)

  [ Michael Webster ]
  * debian/control: Remove libpulse-dev.

  [ Oliver Kästner ]
  * csd-power: drop unused Tooltip dbus property (#422)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * packaging: Fix csd-dev removal

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:41:46 +0000

cinnamon-settings-daemon (6.4.3) xia; urgency=medium

  * packaging: Remove recommends/suggests

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Dec 2024 12:43:42 +0000

## cinnamon-settings-daemon 6.6.1+zena

=== debian/changelog ===
cinnamon-settings-daemon (6.6.1+zena) zena; urgency=medium

  [ Michael Webster ]
  * csd-xsettings-manager.c: Always use the ibus im module unless overridden in interface settings.

  [ Oliver Kästner ]
  * automount: fix automount with active screensaver and memleak (#426)

  [ Michael Webster ]
  * csd-xsettings-manager.c: Remove settings mapping for Gtk/IMModule.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:27:51 +0000

cinnamon-settings-daemon (6.6.0) zena; urgency=medium

  [ Pavel Timofeev ]
  * Cosmetic change: rename g-s-d to c-s-d (#409)

  [ JosephMcc ]
  * media-keys: Add labels for show_osd() (#403)

  [ Matt Turnbull ]
  * Add options to call generate-tz-header as part of the build process. (#405)

  [ Michael Webster ]
  * Update tz-coords.h.

  [ Michael Schuster ]
  * nightlight: Implement schedule mode 'always' (#408)

  [ Michael Webster ]
  * power: Cleanup upower version checks.
  * Adjust upower minimum version.
  * generate-tz-header.py: Fix position coordinate parsing.
  * Adapt to keyboard layout modernization, remove libgnomekbd dep.
  * Fix deps
  * Move some x11-only from the keyboard to xsettings module.
  * build: Remove -dev package, don't install csd-enums, don't generate a pkgconfig file, make libcsd static.
  * csd-autorun.c: Remove hidden 'hold shift key' feature.

  [ Clement Lefebvre ]
  * Switch to XApp symbolic icons

  [ Eli Schwartz ]
  * drop xfixes build dependency
  * clean up dependency checks for wacom bits

  [ Michael Webster ]
  * debian/control: Adapt to removal of -dev package, update .gitignore.

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

  [ Eli Schwartz ]
  * meson: remove extraneous libpulse dep (#425)

  [ Michael Webster ]
  * debian/control: Remove libpulse-dev.

  [ Oliver Kästner ]
  * csd-power: drop unused Tooltip dbus property (#422)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * packaging: Fix csd-dev removal

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:41:46 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = -Duse_gudev=disabled -Duse_polkit=disabled -Duse_logind=disabled -Duse_wacom=disabled
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=/usr/libexec \
	    $(CONFFLAGS)


override_dh_makeshlibs:
	# Disabled, there are no shared libraries, but some plugins that cause this
	# to fail

override_dh_strip:
	dh_strip --dbg-package=cinnamon-settings-daemon-dbg

override_dh_dwz:

## cinnamon-settings-daemon 6.6.2+gigi

=== debian/changelog ===
cinnamon-settings-daemon (6.6.2+gigi) zena; urgency=medium

  [ Shun Zi ]
  * plugins: Don't leak DESKTOP_AUTOSTART_ID into child processes (#432)

  [ Oliver Kästner ]
  * housekeeping: fix list iteration and memleak in ldsm-dialog (#431)

  [ Balló György ]
  * csd-background: Remove decoration from desktop window (#434)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:27:54 +0000

cinnamon-settings-daemon (6.6.1) zena; urgency=medium

  [ Michael Webster ]
  * csd-xsettings-manager.c: Always use the ibus im module unless overridden in interface settings.

  [ Oliver Kästner ]
  * automount: fix automount with active screensaver and memleak (#426)

  [ Michael Webster ]
  * csd-xsettings-manager.c: Remove settings mapping for Gtk/IMModule.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:27:51 +0000

## cinnamon-settings-daemon 6.6.2+zena

=== debian/changelog ===
cinnamon-settings-daemon (6.6.2+zena) zena; urgency=medium

  [ Shun Zi ]
  * plugins: Don't leak DESKTOP_AUTOSTART_ID into child processes (#432)

  [ Oliver Kästner ]
  * housekeeping: fix list iteration and memleak in ldsm-dialog (#431)

  [ Balló György ]
  * csd-background: Remove decoration from desktop window (#434)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:27:54 +0000

## cinnamon-settings-daemon 6.6.3+gigi

=== debian/changelog ===
cinnamon-settings-daemon (6.6.3+gigi) zena; urgency=medium

  [ Michael Webster ]
  * CI/github: Add generate-test-packages hook.
  * csd-power-manager.c: Sent property updates when the percentage (#438)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Jan 2026 13:14:56 +0000

cinnamon-settings-daemon (6.6.2) zena; urgency=medium

  [ Shun Zi ]
  * plugins: Don't leak DESKTOP_AUTOSTART_ID into child processes (#432)

  [ Oliver Kästner ]
  * housekeeping: fix list iteration and memleak in ldsm-dialog (#431)

  [ Balló György ]
  * csd-background: Remove decoration from desktop window (#434)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:27:54 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  libcvc-dev (>= 3.4~),
  libfontconfig1-dev,
  libglib2.0-dev (>= 2.37.3),
- libgnomekbd-dev (>= 3.6.0),
  libgtk-3-dev (>= 3.9.10),
  libgudev-1.0-dev [linux-any],
  liblcms2-dev,
@@ -21,15 +20,13 @@
  libnss3-dev,
  libpango1.0-dev (>= 1.20),
  libpolkit-gobject-1-dev [linux-any],
- libpulse-dev (>= 0.9.16),
  librsvg2-dev [!s390x !hurd-any !kfreebsd-any],
  libsystemd-dev [linux-any],
- libupower-glib-dev (>= 0.9.11),
+ libupower-glib-dev (>= 0.99.11),
  libwacom-dev (>= 0.4) [!s390x !hurd-any !kfreebsd-any],
  libx11-dev,
  libxext-dev,
  libxi-dev,
- libxklavier-dev,
  meson (>= 0.47),
  xsltproc,
 Build-Conflicts:
@@ -39,6 +36,8 @@
 Package: cinnamon-settings-daemon
 Architecture: any
 Depends: cinnamon-desktop-data (>= 2.6.3), colord, ${misc:Depends}, ${shlibs:Depends}
+Breaks: cinnamon-settings-daemon-dev
+Replaces: cinnamon-settings-daemon-dev
 Pre-Depends: ${misc:Pre-Depends}
 Description: daemon handling the Cinnamon session settings
  This package contains the daemon which is responsible for setting the
@@ -55,13 +54,13 @@
  It also sets various application settings through X resources and
  freedesktop.org XSETTINGS.
 
-Package: cinnamon-settings-daemon-dev
+Package: cinnamon-settings-daemon-dbg
+Section: debug
+Priority: extra
 Architecture: any
 Depends:
- libglib2.0-dev (>= 2.26.0),
+ cinnamon-settings-daemon (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: same
-Description: Headers for building applications communicating with cinnamon-settings-daemon
- This package contains header files required to build applications that
- communicate with the Cinnamon settings daemon over D-Bus.
+Description: Debugging symbols for cinnamon-settings-daemon
+ .
+ This package contains the debugging symbols.

## cinnamon-settings-daemon 6.6.3+zena

=== meson_options.txt ===
--- 
+++ 
@@ -58,3 +58,15 @@
     value: false,
     description: 'Show additional build warnings'
 )
+option(
+    'generate_tz_coords',
+    type: 'boolean',
+    value: false,
+    description: 'Generate TZCoords header from tzdata'
+)
+option(
+    'zone_tab',
+    type: 'string',
+    value: '/usr/share/zoneinfo/zone.tab',
+    description: 'Path to tzdata zone.tab or zone1970.tab'
+)

=== debian/changelog ===
cinnamon-settings-daemon (6.6.3+zena) zena; urgency=medium

  [ Michael Webster ]
  * CI/github: Add generate-test-packages hook.
  * csd-power-manager.c: Sent property updates when the percentage (#438)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Jan 2026 13:14:56 +0000
